## r-bioc-bsseq 1.34.0+dfsg

=== DESCRIPTION ===
Package: bsseq
Version: 1.34.0
Encoding: UTF-8
Title: Analyze, manage and store bisulfite sequencing data
Description: A collection of tools for analyzing and visualizing bisulfite
    sequencing data.
Authors@R: c(person(c("Kasper", "Daniel"), "Hansen", role = c("aut", "cre"),
    email = "kasperdanielhansen@gmail.com"),
    person("Peter", "Hickey", role = "aut", email = "peter.hickey@gmail.com"))
Depends: R (>= 4.0), methods, BiocGenerics, GenomicRanges (>= 1.41.5),
        SummarizedExperiment (>= 1.19.5)
Imports: IRanges (>= 2.23.9), GenomeInfoDb, scales, stats, graphics,
        Biobase, locfit, gtools, data.table (>= 1.11.8), S4Vectors (>=
        0.27.12), R.utils (>= 2.0.0), DelayedMatrixStats (>= 1.5.2),
        permute, limma, DelayedArray (>= 0.15.16), Rcpp, BiocParallel,
        BSgenome, Biostrings, utils, HDF5Array (>= 1.19.11), rhdf5
Suggests: testthat, bsseqData, BiocStyle, rmarkdown, knitr, Matrix,
        doParallel, rtracklayer, BSgenome.Hsapiens.UCSC.hg38, beachmat
        (>= 1.5.2), BatchJobs
Collate: utils.R hasGRanges.R BSseq-class.R BSseqTstat_class.R
        BSseq_utils.R combine.R read.bsmooth.R read.bismark.R BSmooth.R
        BSmooth.tstat.R dmrFinder.R gof_stats.R plotting.R fisher.R
        permutations.R BSmooth.fstat.R BSseqStat_class.R getStats.R
        hdf5_utils.R DelayedArray_utils.R collapseBSseq.R
        FWIRanges-class.R FWGRanges-class.R findLoci.R
License: Artistic-2.0
VignetteBuilder: knitr
URL: https://github.com/kasperdanielhansen/bsseq
BugReports: https://github.com/kasperdanielhansen/bsseq/issues
biocViews: DNAMethylation
SystemRequirements: C++11
LinkingTo: Rcpp, beachmat
NeedsCompilation: yes
RoxygenNote: 7.1.0
git_url: https://git.bioconductor.org/packages/bsseq
git_branch: RELEASE_3_16
git_last_commit: 98239c0
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
Packaged: 2022-11-01 21:02:29 UTC; biocbuild
Author: Kasper Daniel Hansen [aut, cre],
  Peter Hickey [aut]
Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>

=== debian/changelog ===
r-bioc-bsseq (1.34.0+dfsg-4) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 21:13:25 +0100

r-bioc-bsseq (1.34.0+dfsg-3) unstable; urgency=medium

  * Test-Depends as per Suggests
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 19:42:55 +0100

r-bioc-bsseq (1.34.0+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop now unneeded lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 08:39:48 +0100

r-bioc-bsseq (1.34.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1024563)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 07:40:42 +0100

=== debian/control ===
Source: r-bioc-bsseq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-genomicranges (>= 1.41.5),
               r-bioc-summarizedexperiment (>= 1.19.5),
               r-bioc-iranges (>= 2.23.9),
               r-bioc-genomeinfodb,
               r-cran-scales,
               r-bioc-biobase,
               r-cran-locfit,
               r-cran-gtools,
               r-cran-data.table,
               r-bioc-s4vectors (>= 0.27.12),
               r-cran-r.utils,
               r-bioc-delayedmatrixstats,
               r-cran-permute,
               r-bioc-limma,
               r-bioc-delayedarray (>= 0.15.16),
               r-cran-rcpp,
               r-bioc-biocparallel,
               r-bioc-bsgenome,
               r-bioc-biostrings,
               r-bioc-hdf5array (>= 1.19.11),
               r-bioc-rhdf5,
               r-bioc-beachmat
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq.git
Homepage: https://bioconductor.org/packages/bsseq/
Rules-Requires-Root: no

Package: r-bioc-bsseq
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor analyze, manage and store bisulfite sequencing data
 A collection of tools for analyzing and visualizing bisulfite
 sequencing data.

## r-bioc-bsseq 1.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: bsseq
-Version: 1.34.0
+Version: 1.36.0
 Encoding: UTF-8
 Title: Analyze, manage and store bisulfite sequencing data
 Description: A collection of tools for analyzing and visualizing bisulfite
@@ -16,7 +16,7 @@
         BSgenome, Biostrings, utils, HDF5Array (>= 1.19.11), rhdf5
 Suggests: testthat, bsseqData, BiocStyle, rmarkdown, knitr, Matrix,
         doParallel, rtracklayer, BSgenome.Hsapiens.UCSC.hg38, beachmat
-        (>= 1.5.2), BatchJobs
+        (>= 1.5.2), batchtools
 Collate: utils.R hasGRanges.R BSseq-class.R BSseqTstat_class.R
         BSseq_utils.R combine.R read.bsmooth.R read.bismark.R BSmooth.R
         BSmooth.tstat.R dmrFinder.R gof_stats.R plotting.R fisher.R
@@ -28,16 +28,15 @@
 URL: https://github.com/kasperdanielhansen/bsseq
 BugReports: https://github.com/kasperdanielhansen/bsseq/issues
 biocViews: DNAMethylation
-SystemRequirements: C++11
 LinkingTo: Rcpp, beachmat
 NeedsCompilation: yes
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/bsseq
-git_branch: RELEASE_3_16
-git_last_commit: 98239c0
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 21:02:29 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 5dd72c5
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:27:34 UTC; biocbuild
 Author: Kasper Daniel Hansen [aut, cre],
   Peter Hickey [aut]
 Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>

=== debian/changelog ===
r-bioc-bsseq (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:11:22 +0200

## r-bioc-bsseq 1.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: bsseq
-Version: 1.36.0
+Version: 1.38.0
 Encoding: UTF-8
 Title: Analyze, manage and store bisulfite sequencing data
 Description: A collection of tools for analyzing and visualizing bisulfite
@@ -32,11 +32,11 @@
 NeedsCompilation: yes
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/bsseq
-git_branch: RELEASE_3_17
-git_last_commit: 5dd72c5
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:27:34 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 392e22c
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 20:33:43 UTC; biocbuild
 Author: Kasper Daniel Hansen [aut, cre],
   Peter Hickey [aut]
 Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>

=== debian/changelog ===
r-bioc-bsseq (1.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:23:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics,
-               r-bioc-genomicranges (>= 1.41.5),
-               r-bioc-summarizedexperiment (>= 1.19.5),
-               r-bioc-iranges (>= 2.23.9),
+               r-bioc-genomicranges,
+               r-bioc-summarizedexperiment,
+               r-bioc-iranges,
                r-bioc-genomeinfodb,
                r-cran-scales,
                r-bioc-biobase,
                r-cran-locfit,
                r-cran-gtools,
                r-cran-data.table,
-               r-bioc-s4vectors (>= 0.27.12),
+               r-bioc-s4vectors,
                r-cran-r.utils,
                r-bioc-delayedmatrixstats,
                r-cran-permute,
                r-bioc-limma,
-               r-bioc-delayedarray (>= 0.15.16),
+               r-bioc-delayedarray,
                r-cran-rcpp,
                r-bioc-biocparallel,
                r-bioc-bsgenome,

## r-bioc-bsseq 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: bsseq
-Version: 1.38.0
+Version: 1.40.0
 Encoding: UTF-8
 Title: Analyze, manage and store bisulfite sequencing data
 Description: A collection of tools for analyzing and visualizing bisulfite
@@ -32,11 +32,12 @@
 NeedsCompilation: yes
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/bsseq
-git_branch: RELEASE_3_18
-git_last_commit: 392e22c
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:33:43 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: bfe7511
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:54:11 UTC; biocbuild
 Author: Kasper Daniel Hansen [aut, cre],
   Peter Hickey [aut]
 Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>

=== debian/changelog ===
r-bioc-bsseq (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:26:48 +0200

r-bioc-bsseq (1.40.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 17:25:58 +0200

r-bioc-bsseq (1.40.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:36:59 +0200

=== debian/control ===
Source: r-bioc-bsseq
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq.git
Homepage: https://bioconductor.org/packages/bsseq/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-cran-scales,
               r-bioc-biobase (>= 2.64.0),
               r-cran-locfit,
               r-cran-gtools,
               r-cran-data.table (>= 1.11.8),
               r-bioc-s4vectors (>= 0.42.1),
               r-cran-r.utils (>= 2.0.0),
               r-bioc-delayedmatrixstats (>= 1.26.0),
               r-cran-permute,
               r-bioc-limma (>= 3.60.3),
               r-bioc-delayedarray (>= 0.30.1),
               r-cran-rcpp,
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-bsgenome (>= 1.72.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-hdf5array (>= 1.32.0),
               r-bioc-rhdf5 (>= 2.48.0),
               r-bioc-beachmat (>= 2.20.0),
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-bsseq
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-biobase (>= 2.64.0),
         r-cran-data.table (>= 1.11.8),
         r-bioc-s4vectors (>= 0.42.1),
         r-cran-r.utils (>= 2.0.0),
         r-bioc-delayedmatrixstats (>= 1.26.0),
         r-bioc-limma (>= 3.60.3),
         r-bioc-delayedarray (>= 0.30.1),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-bsgenome (>= 1.72.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-hdf5array (>= 1.32.0),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-beachmat (>= 2.20.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1),
          r-bioc-rtracklayer (>= 1.64.0)
Description: Bioconductor analyze, manage and store bisulfite sequencing data
 A collection of tools for analyzing and visualizing bisulfite
 sequencing data.

## r-bioc-bsseq 1.42.0+dfsg

=== DESCRIPTION ===
Package: bsseq
Version: 1.42.0
Encoding: UTF-8
Title: Analyze, manage and store whole-genome methylation data
Description: A collection of tools for analyzing and visualizing whole-genome
    methylation data from sequencing. This includes whole-genome bisulfite
    sequencing and Oxford nanopore data.
Authors@R: c(person(c("Kasper", "Daniel"), "Hansen", role = c("aut", "cre"),
    email = "kasperdanielhansen@gmail.com", comment = c(ORCID = "0000-0003-0086-0687")),
    person("Peter", "Hickey", role = "aut", email = "peter.hickey@gmail.com"))
Depends: R (>= 4.0), methods, BiocGenerics, GenomicRanges (>= 1.41.5),
        SummarizedExperiment (>= 1.19.5)
Imports: IRanges (>= 2.23.9), GenomeInfoDb, scales, stats, parallel,
        tools, graphics, Biobase, locfit, gtools, data.table (>=
        1.11.8), S4Vectors (>= 0.27.12), R.utils (>= 2.0.0),
        DelayedMatrixStats (>= 1.5.2), permute, limma, DelayedArray (>=
        0.15.16), Rcpp, BiocParallel, BSgenome, Biostrings, utils,
        HDF5Array (>= 1.19.11), rhdf5
Suggests: testthat, bsseqData, BiocStyle, rmarkdown, knitr, Matrix,
        doParallel, rtracklayer, BSgenome.Hsapiens.UCSC.hg38, beachmat
        (>= 1.5.2), batchtools
Collate: utils.R hasGRanges.R BSseq-class.R BSseqTstat_class.R
        BSseq_utils.R combine.R read.bismark.R read.modbam2bed.R
        read.modkit.R BSmooth.R BSmooth.tstat.R dmrFinder.R gof_stats.R
        plotting.R fisher.R permutations.R BSmooth.fstat.R
        BSseqStat_class.R getStats.R hdf5_utils.R DelayedArray_utils.R
        collapseBSseq.R FWIRanges-class.R FWGRanges-class.R findLoci.R
License: Artistic-2.0
VignetteBuilder: knitr
URL: https://github.com/kasperdanielhansen/bsseq
BugReports: https://github.com/kasperdanielhansen/bsseq/issues
biocViews: DNAMethylation
LinkingTo: Rcpp, beachmat
NeedsCompilation: yes
RoxygenNote: 7.1.0
git_url: https://git.bioconductor.org/packages/bsseq
git_branch: RELEASE_3_20
git_last_commit: 851185f
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-29 23:50:40 UTC; biocbuild
Author: Kasper Daniel Hansen [aut, cre]
    (<https://orcid.org/0000-0003-0086-0687>),
  Peter Hickey [aut]
Maintainer: Kasper Daniel Hansen <kasperdanielhansen@gmail.com>

=== debian/changelog ===
r-bioc-bsseq (1.42.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:17:58 +0100

r-bioc-bsseq (1.42.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 14:56:37 +0100

=== debian/control ===
Source: r-bioc-bsseq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-cran-scales,
               r-bioc-biobase,
               r-cran-locfit,
               r-cran-gtools,
               r-cran-data.table,
               r-bioc-s4vectors,
               r-cran-r.utils,
               r-bioc-delayedmatrixstats,
               r-cran-permute,
               r-bioc-limma,
               r-bioc-delayedarray,
               r-cran-rcpp,
               r-bioc-biocparallel,
               r-bioc-bsgenome,
               r-bioc-biostrings,
               r-bioc-hdf5array (>= 1.19.11),
               r-bioc-rhdf5,
               r-bioc-beachmat,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsseq.git
Homepage: https://bioconductor.org/packages/bsseq/
Rules-Requires-Root: no

Package: r-bioc-bsseq
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor analyze, manage and store bisulfite sequencing data
 A collection of tools for analyzing and visualizing bisulfite
 sequencing data.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/bsseq.html .*/bsseq_(.*).tar.gz
